Index: src/bin/psql/bcc32.mak
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/psql/bcc32.mak,v
retrieving revision 1.11
diff -u -r1.11 bcc32.mak
--- src/bin/psql/bcc32.mak	27 Sep 2004 22:20:40 -0000	1.11
+++ src/bin/psql/bcc32.mak	28 Sep 2004 10:43:16 -0000
@@ -103,8 +103,9 @@
 USERDEFINES = WIN32;_CONSOLE;_MBCS;HAVE_STRDUP
 
 # ---------------------------------------------------------------------------
-CPP_PROJ = -I$(BCB)\include;..\..\include;..\..\interfaces\libpq -c -D$(USERDEFINES) -DFRONTEND \
-           -tWM -tWC -q -5 -a8 -pc -X -w-use -w-par -w-pia -w-csu -w-aus -w-ccc
+CPP_PROJ = -I$(BCB)\include;..\..\include;..\..\interfaces\libpq;..\..\include\port\win32 \
+           -c -D$(USERDEFINES) -DFRONTEND -tWM -tWC -q -5 -a8 -pc -X -w-use -w-par -w-pia \
+	   -w-csu -w-aus -w-ccc
 
 !IFDEF DEBUG
 CPP_PROJ  	= $(CPP_PROJ) -Od -r- -k -v -y -vi- -D_DEBUG
Index: src/bin/psql/win32.mak
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/psql/win32.mak,v
retrieving revision 1.24
diff -u -r1.24 win32.mak
--- src/bin/psql/win32.mak	27 Sep 2004 22:20:40 -0000	1.24
+++ src/bin/psql/win32.mak	28 Sep 2004 10:43:16 -0000
@@ -10,12 +10,21 @@
 PERL=perl.exe
 FLEX=flex.exe
 
+!IFDEF DEBUG
+OPT=/Od /Zi /MDd
+LOPT=/DEBUG
+DEBUGDEF=/D _DEBUG
+OUTDIR=.\Debug
+INTDIR=.\Debug
+!ELSE
+OPT=/O2 /MD
+LOPT=
+DEBUGDEF=/D NDEBUG
 OUTDIR=.\Release
 INTDIR=.\Release
+!ENDIF
+
 REFDOCDIR= ../../../doc/src/sgml/ref
-# Begin Custom Macros
-OutDir=.\Release
-# End Custom Macros
 
 ALL : sql_help.h psqlscan.c "..\..\port\pg_config_paths.h" "$(OUTDIR)\psql.exe"
 
@@ -60,18 +69,19 @@
 "$(OUTDIR)" :
     if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
 
-CPP_PROJ=/nologo /MD /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D\
+CPP_PROJ=/nologo $(OPT) /W3 /GX /D "WIN32" $(DEBUGDEF) /D "_CONSOLE" /D\
  "_MBCS" /Fp"$(INTDIR)\psql.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c \
- /I ..\..\include /I ..\..\interfaces\libpq /D "HAVE_STRDUP" /D "FRONTEND"
+ /I ..\..\include /I ..\..\interfaces\libpq /I ..\..\include\port\win32 \
+ /D "HAVE_STRDUP" /D "FRONTEND"
 
-CPP_OBJS=.\Release/
+CPP_OBJS=$(INTDIR)/
 CPP_SBRS=.
 
 LINK32=link.exe
 LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib\
  advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib\
  odbccp32.lib wsock32.lib /nologo /subsystem:console /incremental:no\
- /pdb:"$(OUTDIR)\psql.pdb" /machine:I386 /out:"$(OUTDIR)\psql.exe" 
+ /pdb:"$(OUTDIR)\psql.pdb" /machine:I386 $(LOPT) /out:"$(OUTDIR)\psql.exe" 
 LINK32_OBJS= \
 	"$(INTDIR)\command.obj" \
 	"$(INTDIR)\common.obj" \
@@ -95,7 +105,11 @@
 	"$(INTDIR)\path.obj" \
 	"$(INTDIR)\pgstrcasecmp.obj" \
 	"$(INTDIR)\sprompt.obj" \
+!IFDEF DEBUG
+	"..\..\interfaces\libpq\Debug\libpqddll.lib"
+!ELSE
 	"..\..\interfaces\libpq\Release\libpqdll.lib"
+!ENDIF
 
 "$(OUTDIR)\psql.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
     $(LINK32) @<<
